use tempdb;

drop table dane
go

create table dane( nr int not null constraint PK_dane primary key, imie varchar(20), nazwisko varchar(20) )
go

declare @x int
set @x=0
set nocount on
while @x<1000
begin
  insert dane values( @x, 'imie'+cast( round( rand()*100, 0 ) as varchar(20) ), 'nazwisko'+cast( round( rand()*100, 0 ) as varchar(20) ) )
  set @x=@x+1
end
go

drop view v_dane1
go

create view v_dane1 with schemabinding as
select nr, imie, nazwisko from dbo.dane where imie like 'imie[0-1]%'
go

select objectproperty( object_id( 'v_dane1' ), 'IsIndexable' )
go

sp_spaceused v_dane1
go

create unique clustered index IX_v_dane1 on v_dane1( nr )
go

sp_spaceused v_dane1
go

use northwind;

create view Product_Totals with schemabinding as
select productid, total_volume = sum( unitPrice * Quantity ), total_qty = sum( Quantity ), number = count_big( * )
from dbo.[order details]
group by productid

--set showplan_all off

select productid, total_qty = sum( Quantity )
from dbo.[order details]
group by productid

