drop table dane
go

create table dane( nr int not null constraint PK_dane primary key, imie varchar(20), nazwisko varchar(20) )
create nonclustered index IX_dane_imie on dane ( imie )
create nonclustered index IX_dane_nazwisko on dane ( nazwisko ) with pad_index, fillfactor=80
go

create statistics staty on dane( imie )
go

dbcc show_statistics ( dane, staty )
go

declare @x int
set @x=0
set nocount on
while @x<10000
begin
  insert dane values( @x, 'imie'+cast( round( rand()*100, 0 ) as varchar(20) ), 'nazwisko'+cast( round( rand()*100, 0 ) as varchar(20) ) )
  set @x=@x+1
end
go

dbcc show_statistics ( dane, staty )
go

update statistics dane ( staty )
--select * from dane where imie like 'im%'
go

dbcc show_statistics ( dane, staty )
go
